;InnoSetupVersion=2.0.11

[Setup]
AppName=CSE HTML Validator Professional v5.0
AppVerName=CSE HTML Validator Professional v5.0021 (Trial Version)
AppId=CSEPRO50
AppPublisher=AI Internet Solutions
AppPublisherURL=http://www.htmlvalidator.com/
AppSupportURL=http://www.htmlvalidator.com/
AppUpdatesURL=http://www.htmlvalidator.com/
DefaultDirName={pf}\HTMLValidator50
DefaultGroupName=CSE HTML Validator Pro v5.0
OutputBaseFilename=csesetup
Compression=zip
LicenseFile=embedded\License.txt
InfoBeforeFile=embedded\InfoBefore.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\cse50.exe"; DestDir: "{app}"; 
Source: "{app}\taginsertercfg.txt"; DestDir: "{app}"; 
Source: "{app}\htmlval.key"; DestDir: "{app}"; 
Source: "{app}\htmlval50.cfg"; DestDir: "{app}"; 
Source: "{app}\license.txt"; DestDir: "{app}"; 
Source: "{app}\log.txt"; DestDir: "{app}"; 
Source: "{app}\output.txt"; DestDir: "{app}"; 
Source: "{app}\scratchpad1.txt"; DestDir: "{app}"; 
Source: "{app}\scratchpad2.txt"; DestDir: "{app}"; 
Source: "{app}\soundplayer.exe"; DestDir: "{app}"; 
Source: "{app}\cmdlineprocessor.exe"; DestDir: "{app}"; 
Source: "{sys}\csevalidator.dll"; DestDir: "{sys}"; 
Source: "{app}\CSE HTML Validator Home Page.url"; DestDir: "{app}"; 
Source: "{app}\Ordering Information.url"; DestDir: "{app}"; 
Source: "{app}\Documentation\about.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\attributegroupseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\attributeseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\attributevalueseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\categorieseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\characterentitieseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\commandlinearguments.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\configuration.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\contents.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\draganddropdefaulttoolselectdialogbox.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\editoreditortab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\editorfileoptionstab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\editorfiletypestab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\editorgeneralinfo.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\editorgeneraltab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\editorhtmltab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\findreplacedialog.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\gettingstarted.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\licenseagreement.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\noteseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\orderinginformation.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\programlimitations.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\programseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\quickref.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\resultswindowlinkstab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\settinguprightclickpopupmenus.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\spellchecking.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\tagnameseditor.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\templatetool.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\tipsforusinghtmlvalidator.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\uninstallinghtmlvalidator.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\usingthetools.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valengineclassictab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valenginegeneraltab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valengineloggingtab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valenginenetworktab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valenginestylestab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valenginetagnameprogramtab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valenginetoolstab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valenginevalidatortab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\valserverside.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\warranty.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\webbrowser.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\welcome.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\wizardlinkstab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\wizardmain.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\wizardoptionstab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\wizardreportingtab.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\wizardtargetlistformat.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Documentation\wizardtargetproperties.html"; DestDir: "{app}\Documentation"; 
Source: "{app}\Dictionary\AIISAdd.adm"; DestDir: "{app}\Dictionary"; 
Source: "{app}\Dictionary\American.adm"; DestDir: "{app}\Dictionary"; 
Source: "{app}\Dictionary\FHTMLAdd.adm"; DestDir: "{app}\Dictionary"; 
Source: "{app}\Dictionary\HTMLAdd.adm"; DestDir: "{app}\Dictionary"; 
Source: "{sys}\vcl50.bpl"; DestDir: "{sys}"; 

[Registry]
Root: HKCU; Subkey: "Software\AI Internet Solutions\CSE 3310 HTML Validator"; ValueName: "ExternalCapability"; ValueType: String; ValueData: "5"; 
Root: HKCU; Subkey: "Software\AI Internet Solutions\CSE HTML Validator v4"; ValueName: "InstallDir"; ValueType: String; ValueData: "{app}"; 
Root: HKCU; Subkey: "Software\AI Internet Solutions\CSE HTML Validator v4"; ValueName: "ValidatorEXE"; ValueType: String; ValueData: "cmdlineprocessor.exe"; 
Root: HKCU; Subkey: "Software\AI Internet Solutions\CSE HTML Validator v4"; ValueName: "EditorEXE"; ValueType: String; ValueData: "cse50.exe"; 
Root: HKLM; Subkey: "SOFTWARE\Alsoft\CSE 3310 HTML Validator"; ValueName: "HomeSiteCapability"; ValueType: String; ValueData: "5"; 
Root: HKLM; Subkey: "SOFTWARE\Alsoft\CSE 3310 HTML Validator"; ValueName: "ExternalCapability"; ValueType: String; ValueData: "5"; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\htmlval.exe"; ValueName: "Path"; ValueType: String; ValueData: "{app}\cmdlineprocessor.exe"; 
Root: HKLM; Subkey: "SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\htmlval.exe"; ValueType: String; ValueData: "{app}\cmdlineprocessor.exe"; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\cse50.exe"; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\cse50.exe"; ValueType: String; ValueData: "{app}\cse50.exe"; 
Root: HKLM; Subkey: "Software\Microsoft\Windows\CurrentVersion\App Paths\cse50.exe"; ValueName: "Path"; ValueType: String; ValueData: "{app}\cse50.exe"; 
Root: HKU; Subkey: ".DEFAULT\Software\AI Internet Solutions\CSE HTML Validator v4"; ValueName: "InstallDir"; ValueType: String; ValueData: "{app}"; 
Root: HKU; Subkey: ".DEFAULT\Software\AI Internet Solutions\CSE HTML Validator v4"; ValueName: "ValidatorEXE"; ValueType: String; ValueData: "cmdlineprocessor.exe"; 
Root: HKU; Subkey: ".DEFAULT\Software\AI Internet Solutions\CSE HTML Validator v4"; ValueName: "EditorEXE"; ValueType: String; ValueData: "cse50.exe"; 

[Run]
Filename: "{app}\cse50.exe"; Description: "Launch CSE HTML Validator Professional"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\cse50.exe"; Parameters: "-x"; 

[Icons]
Name: "{group}\CSE HTML Validator Pro v5.0"; Filename: "{app}\cse50.exe"; Comment: "Check HTML/XHTML for syntax problems, broken links, and misspellings by using CSE HTML Validator Professional."; 
Name: "{group}\License Agreement"; Filename: "{app}\license.txt"; Comment: "See the license agreement for CSE HTML Validator Professional."; 
Name: "{group}\CSE HTML Validator Home Page"; Filename: "{app}\CSE HTML Validator Home Page.url"; Comment: "Launch your default browser and go to CSE HTML Validator's Home Page"; 
Name: "{group}\Ordering Information"; Filename: "{app}\Ordering Information.url"; Comment: "Launch your default browser and go to CSE HTML Validator's Ordering Page to purchase a license."; 
Name: "{userdesktop}\CSE HTML Validator Pro v5.0"; Filename: "{app}\cse50.exe"; Comment: "Check HTML/XHTML for syntax problems, broken links, and misspellings by using CSE HTML Validator Professional."; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\CSE HTML Validator Pro v5.0"; Filename: "{app}\cse50.exe"; Comment: "Check HTML/XHTML for syntax problems, broken links, and misspellings by using CSE HTML Validator Professional."; Tasks: quicklaunchicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 
